Bug 1564838 - GNOME Shell on Wayland doesn't detect proper driver for Intel Iris 540 graphics and falls back to llvmpipe.
Summary: GNOME Shell on Wayland doesn't detect proper driver for Intel Iris 540 graphi...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 06:28 UTC by Ryan Farmer
Modified: 2019-05-28 19:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:51:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Ryan Farmer 2018-04-08 06:28:13 UTC
Description of problem:

GNOME Shell on Wayland doesn't detect proper driver for Intel Iris 540 graphics and falls back to llvmpipe.


Version-Release number of selected component (if applicable):

gnome-shell-3.28.0-1.fc28

How reproducible:

Steps to Reproduce:
1. Log into live environment for Fedora 28 4-07 nightly.
2. Go to Settings application and Details. Graphics are listed as "Unknown". Open a terminal and use glxinfo and the OpenGL vendor will be listed as VMWare and the driver will be llvmpipe. 

Actual results:

The Wayland session has incorrectly fallen back to llvmpipe instead of the correct Intel driver.


Expected results:

The Intel graphics driver should have been loaded.

Additional info:

If I log into the GNOME on Xorg session, GNOME correctly recognizes my graphics chip as an Iris 540 and glxinfo returns Intel Open Source Technology Center as the vendor string and Mesa DRI Intel(R) Iris Graphics 540 (Skylake GT3e) as the renderer string.

Comment 1 Ben Cotton 2019-05-02 21:56:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 19:51:55 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.